Retrieve all Vulnerabilities
This endpoint enables retrieving all Vulnerabilities using pagination and optional filters.
Please provide header value as 'Bearer' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token
The ID (UUID) of the Registry.
1e41a73c-59d0-5507-86dd-fa2fc2501cfdThe Name of the Repository.
my-serviceThe Digest of the Artifact.
sha256:12345678901234567890123456789012The first element (of the total list of elements) to include in the response. Use this parameter together with the limit for pagination.
0Example: 0The maximum number of elements to return. Use this parameter together with the offset for pagination.
100Example: 100The CVSS vulnerability severity rating
highFilter resources by fixable (i.e. remediation action is available)
The field to order the results by. If not provided, the results will be ordered by the default field.
-scorePossible values: Returned all requested Vulnerabilities successfully.
https://api.ionos.com/containerregistries/registries/f39c94e6-e84b-4d25-b54f-75e4289be43c/repositories/my-service/artifacts/sha256:12345678901234567890123456789012/vulnerabilitiesThe offset specified in the request (if none was specified, the default offset is 0).
0The limit specified in the request (if none was specified, use the endpoint's default pagination limit).
42Bad Request
The request send to the API was malformed.
Unauthorized
The request is missing authorization information or the authorization information provided are expired.
Not Allowed
The user issuing the request does not have the needed permissions.
Too Many Requests
The user has sent too many requests in a given amount of time.
Internal Server Error
An internal error occurred. We apologize for the inconvenience!
Service Unavailable
The server is currently unable to handle the request due to a temporary overloading or maintenance of the server.
Unexpected Internal Server Error
An unexpected internal error occurred. We apologize for the inconvenience!
GET /containerregistries/registries/{registryId}/repositories/{repositoryName}/artifacts/{digest}/vulnerabilities HTTP/1.1
Host: api.ionos.com
Authorization: YOUR_API_KEY
Accept: */*
{
"id": "vulnerabilities",
"type": "collection",
"href": "https://api.ionos.com/containerregistries/registries/f39c94e6-e84b-4d25-b54f-75e4289be43c/repositories/my-service/artifacts/sha256:12345678901234567890123456789012/vulnerabilities",
"items": [
{
"id": "CVE-2019-1234",
"type": "vulnerability",
"href": "https://api.ionos.com/containerregistries/vulnerabilities/CVE-2019-1234",
"metadata": {
"publishedAt": "2019-01-01T00:00:00+00:00",
"updatedAt": "2019-01-01T00:00:00+00:00"
},
"properties": {
"description": "A vulnerability in the web UI of Cisco IOS XE Software could allow an authenticated, remote attacker to execute commands on the underlying Linux shell of an affected device with root privileges.",
"recommendations": "Cisco has released software updates that address this vulnerability. There are no workarounds that address this vulnerability.",
"dataSource": {
"id": "osv",
"url": "https://github.com/pypa/advisory-db"
},
"fixable": true,
"affects": [
{
"type": "maven",
"name": "org.apache.commons:commons-lang3",
"version": "3.8.1"
}
],
"references": [
"https://access.redhat.com/security/cve/CVE-2019-1234"
],
"severity": "high",
"score": 9.8
}
}
],
"offset": 0,
"limit": 42,
"_links": {
"prev": "http://PREVIOUS-PAGE-URI",
"self": "http://THIS-PAGE-URI",
"next": "http://NEXT-PAGE-URI"
}
}Last updated
Was this helpful?